Subject: Re: bug#23273: Error using windows 10 bash error 0x53464846 doing a tail -f

From: Bernhard Voelker <[email-masked]>
Date: Tue, 12 Apr 2016 10:11:05 +0200

On 04/12/2016 01:54 AM, Pádraig Brady wrote:
> On 11/04/16 23:37, Dennis J wrote:
>> I'm getting this error when doing a tail -f on a simple text file.
>> tail: unrecognized file system type 0x53464846 for ‘kn.txt’. please report this to [email-masked]. reverting to polling
> 
> Interesting. What do we call this win_bashfs or something?

There's not much technical information available, but shouldn't
that "Windows Subsystem for Linux" (WSL) just pass on some NTFS?
It's not clear to me whether the entry point is a modified bash,
library or whatever, so bash may not always be involved here.
Therefore, I'd say "wsl_fs" or "wsl_ntfs" may be a valid name.

> Since there is just a single kernel involved, I'm guessing
> that we don't need to tag this as a "remote" file system,
> and that inotify calls will fail/succeed as appropriate.
> That could be confirmed using the inotifywait command as detailed at:
> http://bugs.gnu.org/23143#11

WSL is in early beta, so I wouldn't expect inotify to work.

Have a nice day,
Berny